Subject: [yang-doctors] Percentage type definition

From: Ignas Bagdonas <[email-masked]>
Date: Tue, 24 Apr 2018 13:56:27 +0100

Colleagues,

Would anyone remember the history behind having percentage type defined 
in routing-types and not in a more generic module like yang-types? I am 
not questioning that decision, just trying to understand the history.

Thank you.

Ignas

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 24 Apr 2018 13:04:57 +0000

Hi Ignas, 

Very simple - the requirement for this type surfaced while we were developing RFC 8294 as opposed to RFC 6012. Defining common types and refactoring is a journey - NOT a destination. 

Thanks,
Acee 

On 4/24/18, 8:56 AM, "yang-doctors on behalf of Ignas Bagdonas" <[email-masked] on behalf of [email-masked]> wrote:

    Colleagues,

    Thank you.
    
    Ignas

    _______________________________________________
    yang-doctors mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/yang-doctors

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 24 Apr 2018 13:11:06 +0000

s/RFC6012/RFC6021/ 

On 4/24/18, 9:05 AM, "yang-doctors on behalf of Acee Lindem (acee)" <[email-masked] on behalf of [email-masked]> wrote:

    Hi Ignas, 

    Thanks,
    Acee 

        Colleagues,

        Thank you.
        
        Ignas

---

From: Ignas Bagdonas <[email-masked]>
Date: Tue, 24 Apr 2018 14:16:07 +0100

That was my guess initially.

What would be the preferred way for a module not (directly) related to 
routing to get a percentage definition - define its own, or import it 
from routing types?

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 24 Apr 2018 13:34:33 +0000

There are tradeoffs in either case. However, I'd probably import and use it or, concurrently with the module under development, spin a model with additional yang types.
Acee 

On 4/24/18, 9:16 AM, "Ignas Bagdonas" <[email-masked]> wrote:

---

From: Ignas Bagdonas <[email-masked]>
Date: Tue, 24 Apr 2018 16:27:46 +0100

Thank you Acee.